Help

0

Error when render the template TypeError: 'NoneType' object is not subscriptable Template: web.address_layout

Avatar
gain charlie
Traceback (most recent call last):
  File "/odoo/odoo-server/odoo/api.py", line 886, in get
    return field_cache[record._ids[0]]
KeyError: 

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/odoo/odoo-server/odoo/fields.py", line 1057, in __get__
    value = env.cache.get(record, self)
  File "/odoo/odoo-server/odoo/api.py", line 889, in get
    raise CacheMiss(record, field)
odoo.exceptions.CacheMiss: 'base.document.layout(,).preview'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/odoo/odoo-server/odoo/addons/base/models/qweb.py", line 219, in render_template
    yield from compiled_fn(self, values, log)
  File "", line 192, in template_203
  File "", line 181, in t_call_content
  File "", line 13, in t_call_content
TypeError: 'NoneType' object is not subscriptable

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/odoo/odoo-server/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/odoo/odoo-server/odoo/http.py", line 687, in dispatch
    result = self._call_function(**self.params)
  File "/odoo/odoo-server/odoo/http.py", line 359, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/odoo/odoo-server/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/odoo/odoo-server/odoo/http.py", line 348, in checked_call
    result = self.endpoint(*a, **kw)
  File "/odoo/odoo-server/odoo/http.py", line 916, in __call__
    return self.method(*args, **kw)
  File "/odoo/odoo-server/odoo/http.py", line 535, in response_wrap
    response = f(*args, **kw)
  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1343, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1335, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/odoo/odoo-server/odoo/api.py", line 464, in call_kw
    result = _call_kw_multi(method, model, args, kwargs)
  File "/odoo/odoo-server/odoo/api.py", line 451, in _call_kw_multi
    result = method(recs, *args, **kwargs)
  File "/odoo/odoo-server/odoo/models.py", line 6489, in onchange
    snapshot1 = Snapshot(record, nametree)
  File "/odoo/odoo-server/odoo/models.py", line 6271, in __init__
    self.fetch(name)
  File "/odoo/odoo-server/odoo/models.py", line 6281, in fetch
    self[name] = record[name]
  File "/odoo/odoo-server/odoo/models.py", line 5888, in __getitem__
    return self._fields[key].__get__(self, type(self))
  File "/odoo/odoo-server/odoo/fields.py", line 1106, in __get__
    self.compute_value(recs)
  File "/odoo/odoo-server/odoo/fields.py", line 1265, in compute_value
    records._compute_field_value(self)
  File "/odoo/odoo-server/odoo/models.py", line 4255, in _compute_field_value
    getattr(self, field.compute)()
  File "/odoo/odoo-server/addons/web/models/base_document_layout.py", line 126, in _compute_preview
    wizard.preview = ir_ui_view._render_template('web.report_invoice_wizard_preview', {'company': wizard_with_logo, 'preview_css': preview_css})
  File "/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 1985, in _render_template
    return self.browse(self.get_view_id(template))._render(values, engine)
  File "/odoo/odoo-server/addons/website/models/ir_ui_view.py", line 436, in _render
    return super(View, self)._render(values, engine=engine, minimal_qcontext=minimal_qcontext)
  File "/odoo/odoo-server/addons/web_editor/models/ir_ui_view.py", line 29, in _render
    return super(IrUiView, self)._render(values=values, engine=engine, minimal_qcontext=minimal_qcontext)
  File "/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 1993, in _render
    return self.env[engine]._render(self.id, qcontext)
  File "/odoo/odoo-server/odoo/tools/profiler.py", line 292, in _tracked_method_render
    return method_render(self, template, values, **options)
  File "/odoo/odoo-server/odoo/addons/base/models/ir_qweb.py", line 76, in _render
    result = super()._render(template, values=values, **compile_options)
  File "/odoo/odoo-server/odoo/addons/base/models/qweb.py", line 134, in _render
    result = ''.join(rendering)
  File "/odoo/odoo-server/odoo/addons/base/models/qweb.py", line 221, in render_template
    raise e
  File "/odoo/odoo-server/odoo/addons/base/models/qweb.py", line 219, in render_template
    yield from compiled_fn(self, values, log)
  File "", line 24, in template_201
  File "", line 21, in t_call_content
  File "/odoo/odoo-server/odoo/addons/base/models/qweb.py", line 221, in render_template
    raise e
  File "/odoo/odoo-server/odoo/addons/base/models/qweb.py", line 219, in render_template
    yield from compiled_fn(self, values, log)
  File "", line 50, in template_208
  File "/odoo/odoo-server/odoo/addons/base/models/qweb.py", line 221, in render_template
    raise e
  File "/odoo/odoo-server/odoo/addons/base/models/qweb.py", line 219, in render_template
    yield from compiled_fn(self, values, log)
  File "", line 111, in template_207
  File "/odoo/odoo-server/odoo/addons/base/models/qweb.py", line 223, in render_template
    raise QWebException("Error when render the template", self, options,
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/odoo/odoo-server/odoo/http.py", line 643, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/odoo/odoo-server/odoo/http.py", line 301, in _handle_exception
    raise exception.with_traceback(None) from new_cause
odoo.addons.base.models.qweb.QWebException: 'NoneType' object is not subscriptable
Traceback (most recent call last):
  File "/odoo/odoo-server/odoo/api.py", line 886, in get
    return field_cache[record._ids[0]]
KeyError: 

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/odoo/odoo-server/odoo/fields.py", line 1057, in __get__
    value = env.cache.get(record, self)
  File "/odoo/odoo-server/odoo/api.py", line 889, in get
    raise CacheMiss(record, field)
odoo.exceptions.CacheMiss: 'base.document.layout(,).preview'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/odoo/odoo-server/odoo/addons/base/models/qweb.py", line 219, in render_template
    yield from compiled_fn(self, values, log)
  File "", line 192, in template_203
  File "", line 181, in t_call_content
  File "", line 13, in t_call_content
TypeError: 'NoneType' object is not subscriptable

Error when render the template
TypeError: 'NoneType' object is not subscriptable
Template: web.address_layout
Path: /t/t/t/t
Node: 

                   


Avatar
Discard